using System.Text.Json.Serialization;

namespace DataSharing.Share.Dtos.Province.Extend
{
    /// <summary>
    /// 环保举报业务专业表单
    /// </summary>
    public class FormEnvironMentInfo
    {
        /// <summary>
        /// 邮箱 
        /// </summary>
        [JsonPropertyName("COMPLAINT_MAILBOX")]
        public string? ComplaintMailBox { get; set; }

        /// <summary>
        /// 通讯地址 
        /// </summary>
        [JsonPropertyName("POSTAL_ADDRESS")]
        public string? PostalAddress { get; set; }

        /// <summary>
        /// 举报对象 
        /// </summary>
        [JsonPropertyName("REPORT_OBJECT")]
        public string? ReportObject { get; set; }

        /// <summary>
        /// 详细地址 
        /// </summary>
        [JsonPropertyName("DETAILED_ADDR")]
        public string? DetailedAddr { get; set; }

        /// <summary>
        /// 行业类型 
        /// </summary>
        [JsonPropertyName("INDUSTRY_TYPE")]
        public string? IndustryType { get; set; }

        /// <summary>
        /// 重点要素 
        /// </summary>
        [JsonPropertyName("KEY_POINT")]
        public string? KeyPoint { get; set; }
    }
}
